# Typedef

Static Public Summary
public | AccountInfo: Object Information describing an account |
public | Blockhhash: string |
public | BudgetCondition: SignatureCondition | TimestampCondition A condition that can unlock a payment |
public | Commitment: 'max' | 'recent' The level of commitment desired when querying state 'max': Query the most recent block which has reached max voter lockout 'recent': Query the most recent block |
public | ConfirmedBlock: Object A ConfirmedBlock on the ledger |
public | ContactInfo: Object Information describing a cluster node |
public | EpochInfo: Object EpochInfo parameters (see https://docs.solana.com/book/v/master/terminology#epoch) |
public | EpochSchedule: Object EpochSchedule parameters (see https://docs.solana.com/book/v/master/terminology#epoch) |
public | FeeCalculator: Object |
public | Inflation: Object Network Inflation parameters (see https://docs.solana.com/book/v/master/implemented-proposals/ed_overview) |
public | Info: Object Info used to identity validators. |
public | KeyedAccountInfo: Object Account information identified by pubkey |
public | Payment: Object Represents a payment to a given public key |
public | SignatureCondition: Object Represents a condition that is met by executing a `applySignature()` transaction |
public | SignatureSuccess: Object Signature status: Success |
public | SystemInstructionType: Object |
public | TimestampCondition: Object Represents a condition that is met by executing a `applyTimestamp()` transaction |
public | TransactionCtorFields: Object List of Transaction object fields that may be initialized at construction |
public | TransactionError: Object Signature status: TransactionError |
public | TransactionInstructionCtorFields: Object List of TransactionInstruction object fields that may be initialized at construction |
public | TransactionSignature: string |
public | Version: Object Version info for a node |
public | VoteAccountInfo: Object Information describing a vote account |
public | VoteAccountStatus: Object A collection of cluster vote accounts |

## Static Public

### public AccountInfo: Object source

Information describing an account

#### Properties:

Name | Type | Attribute | Description
lamports | number |  | Number of lamports assigned to the account
owner | PublicKey |  | Identifier of the program that owns the account
data | Buffer | nullable: true | Optional data assigned to the account
executable | boolean |  | `true` if this account's data contains a loaded program

### public Blockhhash: string source

### public BudgetCondition: SignatureCondition | TimestampCondition source

A condition that can unlock a payment

### public Commitment: 'max' | 'recent' source

The level of commitment desired when querying state 'max': Query the most recent block which has reached max voter lockout 'recent': Query the most recent block

### public ConfirmedBlock: Object source

A ConfirmedBlock on the ledger

#### Properties:

Name | Type | Attribute | Description
blockhash | Blockhash |  | Blockhash of this block
previousBlockhash | Blockhash |  | Blockhash of this block's parent
parentSlot | number |  | Slot index of this block's parent
transactions | Array<Array<object>> |  | Vector of transactions paired with statuses

### public ContactInfo: Object source

Information describing a cluster node

#### Properties:

Name | Type | Attribute | Description
pubkey | string |  | Identity public key of the node
gossip | string |  | Gossip network address for the node
tpu | string |  | TPU network address for the node (null if not available)
rpc | string | null |  | JSON RPC network address for the node (null if not available)

### public EpochInfo: Object source

EpochInfo parameters (see https://docs.solana.com/book/v/master/terminology#epoch)

#### Properties:

Name | Type | Attribute | Description
epoch | number |  |
slotIndex | number |  |
slotsInEpoch | number |  |
absoluteSlot | number |  |

### public EpochSchedule: Object source

EpochSchedule parameters (see https://docs.solana.com/book/v/master/terminology#epoch)

#### Properties:

Name | Type | Attribute | Description
slots_per_epoch | number |  |
leader_schedule_slot_offset | number |  |
warmup | boolean |  |
first_normal_epoch | number |  |
first_normal_slot | number |  |

### public FeeCalculator: Object source

#### Properties:

Name | Type | Attribute | Description
lamportsPerSignature | number |  | lamports Cost in lamports to validate a signature
targetLamportsPerSignature | number |  |
targetSignaturesPerSlot | number |  |

### public Inflation: Object source

Network Inflation parameters (see https://docs.solana.com/book/v/master/implemented-proposals/ed_overview)

#### Properties:

Name | Type | Attribute | Description
foundation | number |  |
foundation_term | number |  |
initial | number |  |
storage | number |  |
taper | number |  |
terminal | number |  |

### public Info: Object source

Info used to identity validators.

#### Properties:

Name | Type | Attribute | Description
name | string |  | validator name
website | string | nullable: true | optional, validator website
details | string | nullable: true | optional, extra information the validator chose to share
keybaseUsername | string | nullable: true | optional, used to identify validators on keybase.io

### public KeyedAccountInfo: Object source

Account information identified by pubkey

#### Properties:

Name | Type | Attribute | Description
accountId | PublicKey |  |
accountInfo | AccountInfo |  |

### public Payment: Object source

Represents a payment to a given public key

#### Properties:

Name | Type | Attribute | Description
amount | number |  | Number of lamports
to | PublicKey |  | Public key of the recipient

### public SignatureCondition: Object source

Represents a condition that is met by executing a `applySignature()` transaction

#### Properties:

Name | Type | Attribute | Description
type | string |  | Must equal the string 'timestamp'
from | PublicKey |  | Public key from which `applySignature()` will be accepted from

### public SignatureSuccess: Object source

Signature status: Success

### public SystemInstructionType: Object source

#### Properties:

Name | Type | Attribute | Description
(index} | * |  | The System Instruction index (from solana-sdk)
(BufferLayout} | * |  | The BufferLayout to use to build data

### public TimestampCondition: Object source

Represents a condition that is met by executing a `applyTimestamp()` transaction

#### Properties:

Name | Type | Attribute | Description
type | string |  | Must equal the string 'timestamp'
from | PublicKey |  | Public key from which `applyTimestamp()` will be accepted from
when | Date |  | The timestamp that was observed

### public TransactionCtorFields: Object source

List of Transaction object fields that may be initialized at construction

#### Properties:

Name | Type | Attribute | Description
(?recentBlockhash} | * |  | A recent block hash
(?signatures} | * |  | One or more signatures

### public TransactionError: Object source

Signature status: TransactionError

### public TransactionInstructionCtorFields: Object source

List of TransactionInstruction object fields that may be initialized at construction

#### Properties:

Name | Type | Attribute | Description
keys | Array<PublicKey> | nullable: true |
programId | PublicKey | nullable: true |
data | Buffer | nullable: true |

### public TransactionSignature: string source

### public Version: Object source

Version info for a node

#### Properties:

Name | Type | Attribute | Description
solana-core | string |  | Version of solana-core

### public VoteAccountInfo: Object source

Information describing a vote account

#### Properties:

Name | Type | Attribute | Description
votePubkey | string |  | Public key of the vote account
nodePubkey | string |  | Identity public key of the node voting with this account
activatedStake | number |  | The stake, in lamports, delegated to this vote account and activated
epochVoteAccount | boolean |  | Whether the vote account is staked for this epoch
epochCredits | Array<Array<number>> |  | Recent epoch voting credit history for this voter
commission | number |  | A percentage (0-100) of rewards payout owed to the voter
lastVote | number |  | Most recent slot voted on by this vote account

### public VoteAccountStatus: Object source

A collection of cluster vote accounts

#### Properties:

Name | Type | Attribute | Description
current | Array<VoteAccountInfo> |  | Active vote accounts
delinquent | Array<VoteAccountInfo> |  | Inactive vote accounts